#!/bin/bash
echo "Сборка вёб-сайтов, упаковка и копирование архивов для развёртывания."
# обработка репозитория вёб-сайта
function packaging {
  echo "Обработка: $1"
  cd "./$1" || return
  ./build.sh >/dev/null
  ./package.sh >/dev/null
  cp -v "$1.zip" ..
}
export -f packaging
cd ../.. # выход из папки и из репозитория
time_ms="$(date '+%s%3N')"
# запуск параллельной обработки репозиториев всех вёб-сайтов
printf 'packaging "pomodoro%s"\0' {1..6} | xargs -n1 -0 -P0 bash -c
echo "Общее время выполнения: $(($(date '+%s%3N') - time_ms)) мс."
